Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159482 - Progress Bar for Time Intensive Tasks
Summary: Progress Bar for Time Intensive Tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-02 21:05 UTC by Jim Parsons
Modified: 2009-04-16 23:11 UTC (History)
2 users (show)

Fixed In Version: RHEA-2005-507
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:39:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:507 qe-ready SHIPPED_LIVE system-config-lvm enhancement update 2005-10-05 04:00:00 UTC

Comment 3 Jim Parsons 2005-06-09 22:06:51 UTC
QA Note: Two GUI operations trigger this new functionality; It should happen
when a file system is resized (I mean REALLY resized...like adding 20 or 30
Gig), and it should also happen if extents from one physical volume are moved to
another physical volume. 

As well as checking that the operations execute properly, attention must be paid
to whether the progress bar exits properly, and doesn't just keep bouncing back
and forth for days :-)

Finally, when the progress bar is doing its thing, the app should be hibernating
otherwise...no other task can be started until this task completes and the
progress bar exits.

Comment 6 Stanko Kupcevic 2005-07-14 15:06:23 UTC
QA Note: Progress bars are triggered at every action performed, so application
should never be in a frozen state without progress bar being displayed. 

Comment 7 Nate Straz 2005-09-15 20:25:59 UTC
I did verify that the progress bar does come up for long running actions.  I can
still get the GUI to hang if there are lots of PVs or LVs.  I think this is
while the GUI is rendering the cylinders.

Verified in 1.0.5-1.0.

Comment 9 Red Hat Bugzilla 2005-10-05 14:39:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-507.html



Note You need to log in before you can comment on or make changes to this bug.